/*--------------------------------------------------------------
## Style Layout Bootstrap XXL Devices min 1500px width
--------------------------------------------------------------*/
@media (min-width: 1500px) {
    .container {
        max-width: 1420px;
    }
    .woocommerce.columns-6 ul.products li.product, 
    .woocommerce-page.columns-6 ul.products li.product {
        margin: 0 1.5% 2.992em 0;
        width: 15.4%;
    }
    .woocommerce.columns-6 ul.products li.last, 
    .woocommerce-page.columns-6 ul.products li.last {
        margin-right: 0;
    }
    #footer-widgets .fw-2 {
        border-left: 1px solid #ffffff1f;
        border-right: 1px solid #ffffff1f;
    }
    #footer-widgets .fw-4,
    #footer-widgets .fw-3 {
        border-right: 1px solid #ffffff1f;
    }
    
/*--------------------------------------------------------------*/

    .col-xxl, .col-xxl-1, .col-xxl-2, .col-xxl-3, .col-xxl-4, .col-xxl-5, .col-xxl-6, .col-xxl-7, .col-xxl-8, .col-xxl-9, .col-xxl-10, .col-xxl-11, .col-xxl-12 {
        position: relative;
        width: 100%;
        padding-right: 15px;
        padding-left: 15px;
    }
    .col-xxl {
        -ms-flex-preferred-size: 0;
        flex-basis: 0;
        -ms-flex-positive: 1;
        flex-grow: 1;
        max-width: 100%;
    }
    .col-xxl-1 {
        -ms-flex: 0 0 8.333333%;
        flex: 0 0 8.333333%;
        max-width: 8.333333%;
    }
    .col-xxl-2 {
        -ms-flex: 0 0 16.666667%;
        flex: 0 0 16.666667%;
        max-width: 16.666667%;
    }
    .col-xxl-3 {
        -ms-flex: 0 0 25%;
        flex: 0 0 25%;
        max-width: 25%;
    }
    .col-xxl-4 {
        -ms-flex: 0 0 33.333333%;
        flex: 0 0 33.333333%;
        max-width: 33.333333%;
    }
    .col-xxl-5 {
        -ms-flex: 0 0 41.666667%;
        flex: 0 0 41.666667%;
        max-width: 41.666667%;
    }
    .col-xxl-6 {
        -ms-flex: 0 0 50%;
        flex: 0 0 50%;
        max-width: 50%;
    }
    .col-xxl-7 {
        -ms-flex: 0 0 58.333333%;
        flex: 0 0 58.333333%;
        max-width: 58.333333%;
    }
    .col-xxl-8 {
        -ms-flex: 0 0 66.666667%;
        flex: 0 0 66.666667%;
        max-width: 66.666667%;
    }
    .col-xxl-9 {
        -ms-flex: 0 0 75%;
        flex: 0 0 75%;
        max-width: 75%;
    }
    .col-xxl-10 {
        -ms-flex: 0 0 83.333333%;
        flex: 0 0 83.333333%;
        max-width: 83.333333%;
    }
    .col-xxl-11 {
        -ms-flex: 0 0 91.666667%;
        flex: 0 0 91.666667%;
        max-width: 91.666667%;
    }
    .col-xxl-12 {
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
    }
    .m-xxl-0 {
        margin: 0 !important;
    }
    .mt-xxl-0,
    .my-xxl-0 {
        margin-top: 0 !important;
    }
    .mr-xxl-0,
    .mx-xxl-0 {
        margin-right: 0 !important;
    }
    .mb-xxl-0,
    .my-xxl-0 {
        margin-bottom: 0 !important;
    }
    .ml-xxl-0,
    .mx-xxl-0 {
        margin-left: 0 !important;
    }
    .m-xxl-1 {
        margin: 0.25rem !important;
    }
    .mt-xxl-1,
    .my-xxl-1 {
        margin-top: 0.25rem !important;
    }
    .mr-xxl-1,
    .mx-xxl-1 {
        margin-right: 0.25rem !important;
    }
    .mb-xxl-1,
    .my-xxl-1 {
        margin-bottom: 0.25rem !important;
    }
    .ml-xxl-1,
    .mx-xxl-1 {
        margin-left: 0.25rem !important;
    }
    .m-xxl-2 {
        margin: 0.5rem !important;
    }
    .mt-xxl-2,
    .my-xxl-2 {
        margin-top: 0.5rem !important;
    }
    .mr-xxl-2,
    .mx-xxl-2 {
        margin-right: 0.5rem !important;
    }
    .mb-xxl-2,
    .my-xxl-2 {
        margin-bottom: 0.5rem !important;
    }
    .ml-xxl-2,
    .mx-xxl-2 {
        margin-left: 0.5rem !important;
    }
    .m-xxl-3 {
        margin: 1rem !important;
    }
    .mt-xxl-3,
    .my-xxl-3 {
        margin-top: 1rem !important;
    }
    .mr-xxl-3,
    .mx-xxl-3 {
        margin-right: 1rem !important;
    }
    .mb-xxl-3,
    .my-xxl-3 {
        margin-bottom: 1rem !important;
    }
    .ml-xxl-3,
    .mx-xxl-3 {
        margin-left: 1rem !important;
    }
    .m-xxl-4 {
        margin: 1.5rem !important;
    }
    .mt-xxl-4,
    .my-xxl-4 {
        margin-top: 1.5rem !important;
    }
    .mr-xxl-4,
    .mx-xxl-4 {
        margin-right: 1.5rem !important;
    }
    .mb-xxl-4,
    .my-xxl-4 {
        margin-bottom: 1.5rem !important;
    }
    .ml-xxl-4,
    .mx-xxl-4 {
        margin-left: 1.5rem !important;
    }
    .m-xxl-5 {
        margin: 3rem !important;
    }
    .mt-xxl-5,
    .my-xxl-5 {
        margin-top: 3rem !important;
    }
    .mr-xxl-5,
    .mx-xxl-5 {
        margin-right: 3rem !important;
    }
    .mb-xxl-5,
    .my-xxl-5 {
        margin-bottom: 3rem !important;
    }
    .ml-xxl-5,
    .mx-xxl-5 {
        margin-left: 3rem !important;
    }
    .p-xxl-0 {
        padding: 0 !important;
    }
    .pt-xxl-0,
    .py-xxl-0 {
        padding-top: 0 !important;
    }
    .pr-xxl-0,
    .px-xxl-0 {
        padding-right: 0 !important;
    }
    .pb-xxl-0,
    .py-xxl-0 {
        padding-bottom: 0 !important;
    }
    .pl-xxl-0,
    .px-xxl-0 {
        padding-left: 0 !important;
    }
    .p-xxl-1 {
        padding: 0.25rem !important;
    }
    .pt-xxl-1,
    .py-xxl-1 {
        padding-top: 0.25rem !important;
    }
    .pr-xxl-1,
    .px-xxl-1 {
        padding-right: 0.25rem !important;
    }
    .pb-xxl-1,
    .py-xxl-1 {
        padding-bottom: 0.25rem !important;
    }
    .pl-xxl-1,
    .px-xxl-1 {
        padding-left: 0.25rem !important;
    }
    .p-xxl-2 {
        padding: 0.5rem !important;
    }
    .pt-xxl-2,
    .py-xxl-2 {
        padding-top: 0.5rem !important;
    }
    .pr-xxl-2,
    .px-xxl-2 {
        padding-right: 0.5rem !important;
    }
    .pb-xxl-2,
    .py-xxl-2 {
        padding-bottom: 0.5rem !important;
    }
    .pl-xxl-2,
    .px-xxl-2 {
        padding-left: 0.5rem !important;
    }
    .p-xxl-3 {
        padding: 1rem !important;
    }
    .pt-xxl-3,
    .py-xxl-3 {
        padding-top: 1rem !important;
    }
    .pr-xxl-3,
    .px-xxl-3 {
        padding-right: 1rem !important;
    }
    .pb-xxl-3,
    .py-xxl-3 {
        padding-bottom: 1rem !important;
    }
    .pl-xxl-3,
    .px-xxl-3 {
        padding-left: 1rem !important;
    }
    .p-xxl-4 {
        padding: 1.5rem !important;
    }
    .pt-xxl-4,
    .py-xxl-4 {
        padding-top: 1.5rem !important;
    }
    .pr-xxl-4,
    .px-xxl-4 {
        padding-right: 1.5rem !important;
    }
    .pb-xxl-4,
    .py-xxl-4 {
        padding-bottom: 1.5rem !important;
    }
    .pl-xxl-4,
    .px-xxl-4 {
        padding-left: 1.5rem !important;
    }
    .p-xxl-5 {
        padding: 3rem !important;
    }
    .pt-xxl-5,
    .py-xxl-5 {
        padding-top: 3rem !important;
    }
    .pr-xxl-5,
    .px-xxl-5 {
        padding-right: 3rem !important;
    }
    .pb-xxl-5,
    .py-xxl-5 {
        padding-bottom: 3rem !important;
    }
    .pl-xxl-5,
    .px-xxl-5 {
        padding-left: 3rem !important;
    }
}